import React, {useState, useCallback, useEffect} from 'react';
import ReactDOM from 'react-dom';
import { interpolateMagma, interpolateViridis, scaleSequential, max } from 'd3';
import { getMexico } from './getMexico';
import { Marks } from './Marks';
import { tooltipContext } from "./Tooltip";
import { useData } from './useData';
import { getZones  } from './getZones';
import { ColorLegend } from './ColorLegend';



const width = 1000;
const height = 1000;

const App = () => {
  
  const atlasMex = getMexico();
  const wasteData = useData();
//	const zoneData = getZones();
  
  if (!atlasMex || !wasteData ) {
    return <pre>Loading...</pre>;
  }
  
  const rowByState = new Map();
  wasteData.forEach(d => {
  		rowByState.set(d.Estado, d);
  	})
  
  //   const filaPorZona = new Map();
  // zoneData.forEach(d => {
  // 		filaPorZona.set(d.Zona, d);
  // 	})
  //     console.log(rowByState)

  console.log('Hello Hermosa')
  
  const colorValue = d => d.WasteKgs;  
  const colorScale = scaleSequential(interpolateViridis)
  .domain([10000,100000000])

  return (
    <>
    	<svg width={width} height={height}>
        <Marks 
          atlasMex={atlasMex}
         // wasteData={wasteData}
          colorValue={colorValue}
          colorScale={colorScale}
          rowByState={rowByState}
          tooltipFormat={d => d}
        />
        <g>
                  <ColorLegend />
        </g>
    	</svg>
    </>
  );
};


const rootElement = document.getElementById('root');
  
ReactDOM.render(<App />, rootElement);